Skip to main content
Search screen and audio content
curl --request GET \
  --url https://api.example.com/search
{
  "data": [
    {
      "type": "OCR",
      "content": {
        "frame_id": 123,
        "text": "<string>",
        "timestamp": "2023-11-07T05:31:56Z",
        "file_path": "<string>",
        "offset_index": 123,
        "app_name": "<string>",
        "window_name": "<string>",
        "tags": [
          "<string>"
        ],
        "frame": "<string>",
        "frame_name": "<string>",
        "browser_url": "<string>",
        "focused": true,
        "device_name": "<string>"
      }
    }
  ],
  "pagination": {
    "limit": 123,
    "offset": 123,
    "total": 123
  },
  "cloud": {
    "cloudSearchAvailable": true,
    "cloudHasRelevantData": true,
    "cloudQueryHint": "<string>",
    "status": "available"
  }
}

Query Parameters

q
string | null
limit
integer
offset
integer
content_type
enum<string>
Available options:
all,
ocr,
audio,
input,
accessibility,
memory
start_time
string<date-time> | null
end_time
string<date-time> | null
app_name
string | null
window_name
string | null
frame_name
string | null
include_frames
boolean
min_length
integer | null
max_length
integer | null
speaker_ids
integer[] | null
focused
boolean | null
browser_url
string | null
speaker_name
string | null
include_cloud
boolean
max_content_length
integer | null
device_name
string | null
machine_id
string | null

Response

200 - application/json

OK

data
object[]
required
pagination
object
required
cloud
object

Metadata about cloud search to include in responses.